Squadcast is now SolarWinds Incident Response
For the complete documentation index, see llms.txt. This page is also available as Markdown.

Workflows

List Workflows

get
/v3/workflows

Get a list of all Workflows

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
owner_idstringRequired
page_sizeintegerOptional
page_numberintegerOptional
searchstringOptional
eventstring[]Optional
actionsstring[]Optional
tagsstring[]Optional
ownerstring[]Optional
created_bystring[]Optional
updated_bystring[]Optional
enabledstringOptional
Responses
200

The request has succeeded.

application/json
get/v3/workflows
GET /v3/workflows?owner_id=text HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": 1,
      "owner_id": "text",
      "title": "text",
      "description": "text",
      "enabled": true,
      "trigger": "text",
      "filters": {
        "type": "text",
        "key": "text",
        "value": "text",
        "condition": "and",
        "filters": [
          "[Circular Reference]"
        ]
      },
      "tags": [
        {
          "color": "text",
          "key": "text",
          "value": "text"
        }
      ],
      "actions": [
        {
          "name": "text",
          "data": {
            "runbooks": [
              {
                "id": "text",
                "name": "text"
              }
            ]
          }
        }
      ],
      "created_at": "text",
      "created_by": "text",
      "updated_at": "text",
      "updated_by": "text"
    }
  ],
  "meta": {
    "total_count": 1,
    "acl": {}
  }
}

Create Workflow

post
/v3/workflows

Create a Workflow

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
titlestringRequired
descriptionstringOptional
owner_idstringRequired
owner_typestring · enumOptionalPossible values:
triggerstring · enumRequiredPossible values:
enabledbooleanOptional
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
post/v3/workflows
POST /v3/workflows HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2170

{
  "title": "text",
  "description": "text",
  "owner_id": "text",
  "owner_type": "user",
  "entity_owner": {
    "id": "text",
    "type": "text"
  },
  "tags": [
    {
      "color": "text",
      "key": "text",
      "value": "text"
    }
  ],
  "trigger": "incident_triggered",
  "filters": {
    "type": "text",
    "key": "text",
    "value": null,
    "fields": {
      "type": "text",
      "key": "text",
      "value": null,
      "fields": {
        "type": "text",
        "key": "text",
        "value": null,
        "fields": {
          "type": "text",
          "key": "text",
          "value": null,
          "fields": {
            "type": "text",
            "key": "text",
            "value": null,
            "fields": "[Circular Reference]",
            "children": "[Circular Reference]",
            "label": "text",
            "entity": {},
            "filterType": "text"
          },
          "children": [
            "[Circular Reference]"
          ],
          "label": "text",
          "entity": {},
          "filterType": "text"
        },
        "children": [
          {
            "type": "text",
            "key": "text",
            "value": null,
            "fields": {
              "type": "text",
              "key": "text",
              "value": null,
              "fields": {
                "type": "text",
                "key": "text",
                "value": null,
                "fields": "[Circular Reference]",
                "children": "[Circular Reference]",
                "label": "text",
                "entity": {},
                "filterType": "text"
              },
              "children": [
                "[Circular Reference]"
              ],
              "label": "text",
              "entity": {},
              "filterType": "text"
            },
            "children": "[Circular Reference]",
            "label": "text",
            "entity": {},
            "filterType": "text"
          }
        ],
        "label": "text",
        "entity": {},
        "filterType": "text"
      },
      "children": [
        {
          "type": "text",
          "key": "text",
          "value": null,
          "fields": {
            "type": "text",
            "key": "text",
            "value": null,
            "fields": {
              "type": "text",
              "key": "text",
              "value": null,
              "fields": "[Circular Reference]",
              "children": "[Circular Reference]",
              "label": "text",
              "entity": {},
              "filterType": "text"
            },
            "children": [
              "[Circular Reference]"
            ],
            "label": "text",
            "entity": {},
            "filterType": "text"
          },
          "children": "[Circular Reference]",
          "label": "text",
          "entity": {},
          "filterType": "text"
        }
      ],
      "label": "text",
      "entity": {},
      "filterType": "text"
    },
    "children": [
      {
        "type": "text",
        "key": "text",
        "value": null,
        "fields": {
          "type": "text",
          "key": "text",
          "value": null,
          "fields": {
            "type": "text",
            "key": "text",
            "value": null,
            "fields": "[Circular Reference]",
            "children": "[Circular Reference]",
            "label": "text",
            "entity": {},
            "filterType": "text"
          },
          "children": [
            "[Circular Reference]"
          ],
          "label": "text",
          "entity": {},
          "filterType": "text"
        },
        "children": "[Circular Reference]",
        "label": "text",
        "entity": {},
        "filterType": "text"
      }
    ],
    "label": "text",
    "entity": {},
    "filterType": "text"
  },
  "actions": [
    {
      "name": "text",
      "data": {
        "runbooks": [
          "text"
        ]
      }
    }
  ],
  "enabled": true
}
{
  "data": {
    "id": 1,
    "owner_id": "text",
    "title": "text",
    "description": "text",
    "enabled": true,
    "trigger": "text",
    "filters": {
      "type": "text",
      "key": "text",
      "value": "text",
      "condition": "and",
      "filters": [
        {
          "type": "text",
          "key": "text",
          "value": "text",
          "condition": "and",
          "filters": "[Circular Reference]"
        }
      ]
    },
    "tags": [
      {
        "color": "text",
        "key": "text",
        "value": "text"
      }
    ],
    "actions": [
      {
        "name": "text",
        "data": {
          "runbooks": [
            {
              "id": "text",
              "name": "text"
            }
          ]
        }
      }
    ],
    "created_at": "text",
    "created_by": "text",
    "updated_at": "text",
    "updated_by": "text"
  }
}

Bulk Enable/Disable Workflows

put
/v3/workflows/enable

Bulk enable or disable workflows

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
owner_idstringRequired
enabledbooleanRequired
workflow_idsinteger · int32[]Required
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
put/v3/workflows/enable
PUT /v3/workflows/enable HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 53

{
  "owner_id": "text",
  "enabled": true,
  "workflow_ids": [
    1
  ]
}
{}

Get Workflow By ID

get
/v3/workflows/{workflowID}

Get a workflow by ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workflowIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v3/workflows/{workflowID}
GET /v3/workflows/{workflowID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "owner_id": "text",
    "title": "text",
    "description": "text",
    "enabled": true,
    "trigger": "text",
    "filters": {
      "type": "text",
      "key": "text",
      "value": "text",
      "condition": "and",
      "filters": [
        {
          "type": "text",
          "key": "text",
          "value": "text",
          "condition": "and",
          "filters": "[Circular Reference]"
        }
      ]
    },
    "tags": [
      {
        "color": "text",
        "key": "text",
        "value": "text"
      }
    ],
    "actions": [
      {
        "name": "text",
        "data": {
          "runbooks": [
            {
              "id": "text",
              "name": "text"
            }
          ]
        }
      }
    ],
    "created_at": "text",
    "created_by": "text",
    "updated_at": "text",
    "updated_by": "text"
  }
}

Delete Workflow

delete
/v3/workflows/{workflowID}

Delete a workflow by ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workflowIDstringRequired
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v3/workflows/{workflowID}
DELETE /v3/workflows/{workflowID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Update Workflow

patch
/v3/workflows/{workflowID}

Update a Workflow

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workflowIDstringRequired
Body
titlestringOptional
descriptionstringOptional
owner_idstringOptional
owner_typestring · enumOptionalPossible values:
triggerstring · enumOptionalPossible values:
enabledbooleanOptional
Responses
200

The request has succeeded.

application/json
patch/v3/workflows/{workflowID}
PATCH /v3/workflows/{workflowID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2170

{
  "title": "text",
  "description": "text",
  "owner_id": "text",
  "owner_type": "user",
  "entity_owner": {
    "id": "text",
    "type": "text"
  },
  "tags": [
    {
      "color": "text",
      "key": "text",
      "value": "text"
    }
  ],
  "trigger": "incident_triggered",
  "filters": {
    "type": "text",
    "key": "text",
    "value": null,
    "fields": {
      "type": "text",
      "key": "text",
      "value": null,
      "fields": {
        "type": "text",
        "key": "text",
        "value": null,
        "fields": {
          "type": "text",
          "key": "text",
          "value": null,
          "fields": {
            "type": "text",
            "key": "text",
            "value": null,
            "fields": "[Circular Reference]",
            "children": "[Circular Reference]",
            "label": "text",
            "entity": {},
            "filterType": "text"
          },
          "children": [
            "[Circular Reference]"
          ],
          "label": "text",
          "entity": {},
          "filterType": "text"
        },
        "children": [
          {
            "type": "text",
            "key": "text",
            "value": null,
            "fields": {
              "type": "text",
              "key": "text",
              "value": null,
              "fields": {
                "type": "text",
                "key": "text",
                "value": null,
                "fields": "[Circular Reference]",
                "children": "[Circular Reference]",
                "label": "text",
                "entity": {},
                "filterType": "text"
              },
              "children": [
                "[Circular Reference]"
              ],
              "label": "text",
              "entity": {},
              "filterType": "text"
            },
            "children": "[Circular Reference]",
            "label": "text",
            "entity": {},
            "filterType": "text"
          }
        ],
        "label": "text",
        "entity": {},
        "filterType": "text"
      },
      "children": [
        {
          "type": "text",
          "key": "text",
          "value": null,
          "fields": {
            "type": "text",
            "key": "text",
            "value": null,
            "fields": {
              "type": "text",
              "key": "text",
              "value": null,
              "fields": "[Circular Reference]",
              "children": "[Circular Reference]",
              "label": "text",
              "entity": {},
              "filterType": "text"
            },
            "children": [
              "[Circular Reference]"
            ],
            "label": "text",
            "entity": {},
            "filterType": "text"
          },
          "children": "[Circular Reference]",
          "label": "text",
          "entity": {},
          "filterType": "text"
        }
      ],
      "label": "text",
      "entity": {},
      "filterType": "text"
    },
    "children": [
      {
        "type": "text",
        "key": "text",
        "value": null,
        "fields": {
          "type": "text",
          "key": "text",
          "value": null,
          "fields": {
            "type": "text",
            "key": "text",
            "value": null,
            "fields": "[Circular Reference]",
            "children": "[Circular Reference]",
            "label": "text",
            "entity": {},
            "filterType": "text"
          },
          "children": [
            "[Circular Reference]"
          ],
          "label": "text",
          "entity": {},
          "filterType": "text"
        },
        "children": "[Circular Reference]",
        "label": "text",
        "entity": {},
        "filterType": "text"
      }
    ],
    "label": "text",
    "entity": {},
    "filterType": "text"
  },
  "actions": [
    {
      "name": "text",
      "data": {
        "runbooks": [
          "text"
        ]
      }
    }
  ],
  "enabled": true
}
{
  "data": {
    "id": 1,
    "owner_id": "text",
    "title": "text",
    "description": "text",
    "enabled": true,
    "trigger": "text",
    "filters": {
      "type": "text",
      "key": "text",
      "value": "text",
      "condition": "and",
      "filters": [
        {
          "type": "text",
          "key": "text",
          "value": "text",
          "condition": "and",
          "filters": [
            "[Circular Reference]"
          ]
        }
      ]
    },
    "tags": [
      {
        "color": "text",
        "key": "text",
        "value": "text"
      }
    ],
    "actions": [
      {
        "name": "text",
        "data": {
          "runbooks": [
            {
              "id": "text",
              "name": "text"
            }
          ]
        }
      }
    ],
    "created_at": "text",
    "created_by": "text",
    "updated_at": "text",
    "updated_by": "text"
  }
}

Create Action

post
/v3/workflows/{workflowID}/actions

Create an Action for a workflow

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workflowIDstringRequired
Body
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
anyOptional
Responses
201

The request has succeeded and a new resource has been created as a result.

application/json
dataany ofRequired
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
anyOptional
post/v3/workflows/{workflowID}/actions
POST /v3/workflows/{workflowID}/actions HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "name": "text",
  "data": {
    "runbooks": [
      "text"
    ]
  }
}
{
  "data": {
    "name": "text",
    "data": {
      "runbooks": [
        {
          "id": "text",
          "name": "text"
        }
      ]
    }
  }
}

Update Actions Order

patch
/v3/workflows/{workflowID}/actions/reorder

Update action order in a workflow

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workflowIDstringRequired
Body
action_orderinteger · int32[]Optional
Responses
200

The request has succeeded.

application/json
patch/v3/workflows/{workflowID}/actions/reorder
PATCH /v3/workflows/{workflowID}/actions/reorder HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 20

{
  "action_order": [
    1
  ]
}
{
  "data": {
    "action_order": [
      1
    ]
  }
}

Get Workflow Action By ID

get
/v3/workflows/{workflowID}/actions/{actionID}

Get workflow action by ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workflowIDstringRequired
actionIDstringRequired
Responses
200

The request has succeeded.

application/json
get/v3/workflows/{workflowID}/actions/{actionID}
GET /v3/workflows/{workflowID}/actions/{actionID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": {
    "id": 1,
    "workflow_id": 1,
    "name": "text",
    "data": null
  }
}

Delete Workflow Action

delete
/v3/workflows/{workflowID}/actions/{actionID}

Delete an action by action ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workflowIDstringRequired
actionIDstringRequired
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
delete/v3/workflows/{workflowID}/actions/{actionID}
DELETE /v3/workflows/{workflowID}/actions/{actionID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{}

Update Workflow Action

patch
/v3/workflows/{workflowID}/actions/{actionID}

Update an action by action ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workflowIDstringRequired
actionIDstringRequired
Body
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
anyOptional
Responses
200

The request has succeeded.

application/json
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
or
anyOptional
patch/v3/workflows/{workflowID}/actions/{actionID}
PATCH /v3/workflows/{workflowID}/actions/{actionID} HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 44

{
  "name": "text",
  "data": {
    "runbooks": [
      "text"
    ]
  }
}
{
  "name": "text",
  "data": {
    "runbooks": [
      {
        "id": "text",
        "name": "text"
      }
    ]
  }
}

Enable/Disable Workflow

patch
/v3/workflows/{workflowID}/enable

Enable or disable workflow by ID

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workflowIDstringRequired
Body
enabledbooleanOptional
Responses
204

There is no content to send for this request, but the headers may be useful.

*/*
objectOptional
patch/v3/workflows/{workflowID}/enable
PATCH /v3/workflows/{workflowID}/enable HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 16

{
  "enabled": true
}
{}

Get Workflow Logs

get
/v3/workflows/{workflowID}/logs

Get workflow logs

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
workflowIDstringRequired
Query parameters
page_sizeintegerOptional
page_numberintegerOptional
Responses
200

The request has succeeded.

application/json
get/v3/workflows/{workflowID}/logs
GET /v3/workflows/{workflowID}/logs HTTP/1.1
Host: api.squadcast.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "text",
      "status": "queued",
      "incident_id": "text",
      "action_execution": "text",
      "message": "text",
      "executed_at": "text"
    }
  ],
  "meta": {
    "total_count": 1
  }
}

Last updated